Description

hi, i'm tring to add some grass command to qgis-grass plug-in module,

but i've some problem :

for a long module such as r.sun >>

<!DOCTYPE qgisgrassmodule SYSTEM "http://mrcc.com/qgisgrassmodule.dtd">

<qgisgrassmodule label="display composite map from his image " 

module="r.sun">

&lt;flag key="s" /&gt;

        &lt;option key="elevin" /&gt;

         &lt;option key="aspin" /&gt;

         &lt;option key="slopein" /&gt;

         &lt;option key="linkein" /&gt;

         &lt;option key="lin" /&gt;

         &lt;option key="albedo" /&gt;

         &lt;option key="alb" /&gt;

         &lt;option key="latin" /&gt;

         &lt;option key="lat" /&gt;

         &lt;option key="coefdh" /&gt;

         &lt;option key="incidout" /&gt;

         &lt;option key="beam_rad" /&gt;

         &lt;option key="insol_time" /&gt;

         &lt;option key="diff_rad" /&gt;

         &lt;option key="day" /&gt;

         &lt;option key="step" /&gt;

         &lt;option key="declin" /&gt;

         &lt;option key="time" /&gt;

</qgisgrassmodule>

i've problem to visualize the  window module, beacouse it is more large

than the monitor.

this is the r.sun module when i check on my OS whats windows are

open... you can see how it is long (scrollbar wonted)

http://img176.imageshack.us/img176/29/immagine2jl5.png

i use qgis0.8 preview2 on mac osx on a laptop 12"
History

#1 - 2006-11-16 04:30 PM - Martin Dobias

Modules were designed to contain only few settings. Many options make the module harder to use.

I'm changing this to an enhancement for next version.

#2 - 2006-12-11 12:23 AM - hamish_nospam-yahoo-com -

Hi,

in GRASS 6.1.0 and newer there is an optional "guisection" tag for each module option/flag. These are used in the GRASS GUIs to group similar options

into tabs.

Maybe it helps.. how does QGIS get the module info? XML $module --interface-description? That doesn't seem to be outputting that tag. If so, and you

think "guisection" would be useful, let us know and we can fix that in GRASS cvs.

Hamish

#3 - 2008-07-14 03:19 AM - Tim Sutton

Could you please repost the screenshot as an attachment to this ticket - your link no longer works. Please also advise if this ticket is still valid.

Many thanks

Tim

#4 - 2008-07-14 08:17 AM - Tim Sutton

- Status changed from Open to In Progress

Ok I will place each tool in a scroll area when its opened (to address the vertical oversize issue). For the 'oh my god why are there so many tabs my window

is too wide now' issue, I propose to either do :

    -  each tool in its own window (quick and easy, may do that to start)

    -  have an 'active tools' tab which lists just the ones you have opened and lets you switch between them

With second option above you would have max 4 tabs only:

Modules Tree Modules List Open Modules Current 

Module

I will experiment a bit and get back to you on this.

#5 - 2008-11-29 02:35 AM - Anne Ghisla

- Status changed from In Progress to Closed

- Resolution set to fixed
fixed in QGIS 1.0 preview1 (maybe in previous versions, not tested). Long options lists have now a scrollbar and each tool has its own window.

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
